package com.qmth.teachcloud.exchange.common.bean.result.flow;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.teachcloud.exchange.common.enums.flow.OrgTypeEnum;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @Description: 审批人 result
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2021/8/17
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class ApproveUserResult extends FlowUser implements Serializable {

    @ApiModelProperty(value = "机构名称")
    private String orgName;

    @ApiModelProperty(value = "机构类型")
    private OrgTypeEnum orgType;

    @ApiModelProperty(value = "试卷urls")
    private String paperUrls;

    @ApiModelProperty(value = "流程待审批人")
    private String pendApproveUsers;

    @ApiModelProperty(value = "角色id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long roleId;

    @ApiModelProperty(value = "用户id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long userId;

    public ApproveUserResult() {

    }

    public ApproveUserResult(String orgName, OrgTypeEnum orgType, String loginName, String realName, Long schoolId, String code, String mobileNumber, Long createTime, String paperUrls) {
        this.orgName = orgName;
        this.orgType = orgType;
        setLoginName(loginName);
        setRealName(realName);
        setSchoolId(schoolId);
        setCode(code);
        setMobileNumber(mobileNumber);
        setCreateTime(createTime);
        this.paperUrls = paperUrls;
    }

    public Long getRoleId() {
        return roleId;
    }

    public void setRoleId(Long roleId) {
        this.roleId = roleId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getPendApproveUsers() {
        return pendApproveUsers;
    }

    public void setPendApproveUsers(String pendApproveUsers) {
        this.pendApproveUsers = pendApproveUsers;
    }

    public String getPaperUrls() {
        return paperUrls;
    }

    public void setPaperUrls(String paperUrls) {
        this.paperUrls = paperUrls;
    }

    public String getOrgName() {
        return orgName;
    }

    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }

    public OrgTypeEnum getOrgType() {
        return orgType;
    }

    public void setOrgType(OrgTypeEnum orgType) {
        this.orgType = orgType;
    }
}
